org.apache.hadoop.mapreduce.v2.api.records.impl.pb

## Class CounterGroupPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRProtos.CounterGroupProto>
  - - org.apache.hadoop.mapreduce.v2.api.records.impl.pb.CounterGroupPBImpl

- All Implemented Interfaces:
    CounterGroup

      public class CounterGroupPBImpl
      extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRProtos.CounterGroupProto>
      implements CounterGroup

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterGroupPBImpl()`
    `CounterGroupPBImpl(MRProtos.CounterGroupProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllCounters(Map<String,Counter> counters)`
    `void` | `clearCounters()`
    `Map<String,Counter>` | `getAllCounters()`
    `Counter` | `getCounter(String key)`
    `String` | `getDisplayName()`
    `String` | `getName()`
    `MRProtos.CounterGroupProto` | `getProto()`
    `void` | `removeCounter(String key)`
    `void` | `setCounter(String key, Counter val)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

      `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterGroupPBImpl

          public CounterGroupPBImpl()

    - #### CounterGroupPBImpl

          public CounterGroupPBImpl(MRProtos.CounterGroupProto proto)

  - ### Method Detail

    - #### getProto

          public MRProtos.CounterGroupProto getProto()

      Specified by:
        `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRProtos.CounterGroupProto>`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `CounterGroup`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `CounterGroup`

    - #### getDisplayName

          public String getDisplayName()

      Specified by:
        `getDisplayName` in interface `CounterGroup`

    - #### setDisplayName

          public void setDisplayName(String displayName)

      Specified by:
        `setDisplayName` in interface `CounterGroup`

    - #### getAllCounters

          public Map<String,Counter> getAllCounters()

      Specified by:
        `getAllCounters` in interface `CounterGroup`

    - #### getCounter

          public Counter getCounter(String key)

      Specified by:
        `getCounter` in interface `CounterGroup`

    - #### addAllCounters

          public void addAllCounters(Map<String,Counter> counters)

      Specified by:
        `addAllCounters` in interface `CounterGroup`

    - #### setCounter

          public void setCounter(String key,
                                 Counter val)

      Specified by:
        `setCounter` in interface `CounterGroup`

    - #### removeCounter

          public void removeCounter(String key)

      Specified by:
        `removeCounter` in interface `CounterGroup`

    - #### clearCounters

          public void clearCounters()

      Specified by:
        `clearCounters` in interface `CounterGroup`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.